#
# spec file for package python-croniter
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-croniter
Version:        0.3.5
Release:        6.1
Summary:        Croniter provides iteration for datetime object with cron like format
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/kiorky/croniter
Source:         https://pypi.python.org/packages/source/c/croniter/croniter-%{version}.zip
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  unzip
# Test requirements:
BuildRequires:  python-dateutil
BuildRequires:  python-nose
BuildRequires:  python-pytz
Requires:       python-dateutil
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
croniter provides iteration for datetime object with cron like format.

%prep
%setup -q -n croniter-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc README.rst docs/LICENSE
%{python_sitelib}/*

%changelog
* Mon Sep 15 2014 tbechtold@suse.com
- update to version 0.3.5:
  * support for 'l' (last day of month)
* Fri Mar  7 2014 speilicke@suse.com
- Package docs/LICENSE
* Fri Mar  7 2014 speilicke@suse.com
- Fix requirement on python-dateutil (not python-python-dateutil as upstream)
* Fri Mar  7 2014 speilicke@suse.com
- Initial version
